"use strict";
(function ($) {
    $.field_typefield = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        
        plugin.settings = {}
        var $element = $(element), 
            element = element;    
        
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.table-view').select2();
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_typefield = function (options) {
        
        return this.each(function () {
            
            if (undefined == $(this).data('field_typefield')) {
                var plugin = new $.field_typefield(this, options);
                $(this).data('field_typefield', plugin);
            }
        });
    }
})(jQuery);